.block1 {
    background-color: red;
    width: 400px;
    height: 200px;
}
.block2 {
    background-color: green;
    width: 70%;
    height: 200px;
}
.block3 {
    background-color: yellow;
    width: 70vw;
height: 200px;
}
.block4 {

}